### Function

# ECal util_component_find_x_property

since: 3.34

#### Declaration [src]

    ICalProperty*
    e_cal_util_component_find_x_property (
      ICalComponent* icalcomp,
      const gchar* x_name
    )

#### Description [src]

Searches for an X property named `x_name` within X properties of `icalcomp` and returns it. Free the non-NULL object with g_object_unref(), when no longer needed.

Available since: 3.34

#### Parameters

`icalcomp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

`x_name`

  Type: `const gchar*`

  Name of the X property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `None`

The first X ICalProperty named `x_name`, or `NULL`, when none found.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.